Ошибка обновления Virtualbox «Разрушает существующий пакет…»

Стандарт ANSI SQL92 для запросов метаданных базы данных содержится в эти INFORMATION_SCHEMA структуры данных.

я понятия не имею, пробуют ли Ваша поддержка БД это или нет, но следующее:

SELECT *
FROM   INFORMATION_SCHEMA.TABLES

На дальнейшем исследовании, кажется, что HSQLDB действительно поддерживает INFORMATION_SCHEMA, но с немного нестандартным именованием.

Все таблицы имеют SYSTEM_* предварительно ожидаемый им, таким образом, вышеупомянутый пример читал бы

SELECT *
FROM   INFORMATION_SCHEMA.SYSTEM_TABLES

, у меня нет средств тестирования этого, и ответ был найден на sourceforge.

11
задан 15.11.2016, 14:43

3 ответа

Эта проблема также решена для VirtualBox-5.0 для Virtualbox-5.1

sudo apt-get purge virtualbox-5.0

Затем загрузите virtualbox-5.1 с вашей версией Ubuntu и уровнем битов

Щелкните правой кнопкой мыши файл и установить через Ubuntu Software Center.

Не забудьте получить пакеты расширений @ www.virtualbox.org/wiki/Downloads. Установите их через Virtualbox в меню «Файл» / «Настройки», затем на вкладке «Расширения» слева.

Каждая виртуальная машина вернется!

3
ответ дан 08.10.2019, 21:05

Чтобы иметь возможность обновить Virtual Box до более высокого основного выпуска (например, с 4.2.x до 4.3.x), нам нужно будет сначала удалить модули ядра и приложения старой версии. Это не повлияет на наши виртуальные машины.

Если вы установили из репозитория Oracle , вы можете - после обновления кэша apt - просто выполнить следующие команды:

sudo apt-get purge virtualbox-4.2
sudo apt-get install virtualbox-4.3

После обновления нам также потребуется загрузите и переустановите пакеты расширений, если они нам понадобятся. Также желательно обновить гостевые дополнения в наших виртуальных машинах.

19
ответ дан 08.10.2019, 21:05

Попробуйте удалить, а затем установить его с помощью

sudo apt-get purge virtualbox-*

, если не было пакета для удаления, затем попробуйте установить его:

sudo apt install virtualbox-5.1.8

, если не было затем попробуйте добавить его с помощью PPA:

echo 'deb http://download.virtualbox.org/virtualbox/debian xenial contrib' | sudo tee -a /etc/apt/sources.list

В соответствии с вашим дистрибутивом замените xenial на trusty, precise и т. д. Вы можете добавить эти ключи с помощью

wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -

Чтобы установить VirtualBox, выполните

sudo apt-get update && sudo apt-get install virtualbox-5.1

Source

2
ответ дан 08.10.2019, 21:05
  • 1
    Решение, все еще допустимое и рабочее для Ubuntu 16.04 и Виртуального Поля 5.0в † ’5.1... (только, чтобы дать сотрудникам Google некоторое обеспечение) – Arkaine55 03.10.2017, 10:41

Теги

Похожие вопросы